/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


function initCordova() {
    // Handle back button to close things
    document.addEventListener("backbutton", function (event) {
        router.navigate("/home");
    }, false);

    document.addEventListener("deviceready", function () {
        if (cordova.platformId == 'android') {
            StatusBar.backgroundColorByHexString("#D32F2F");
            StatusBar.styleLightContent();
        }
    }, false);
}

function initNW() {
    // TODO: something clever with desktop integration
}

function initPlatform() {
    if (typeof cordova !== 'undefined') {
        initCordova();
    } else if (typeof nw !== 'undefined') {
        initNW();
    }
}